nlohmann::basic_json::iterator_wrapper Class Reference

wrapper to access iterator member functions in range-based for More...

`#include <json.hpp>`

## Public Member Functions

| iterator_wrapper (basic_json &cont)
| construct iterator wrapper from a container More...
iterator_wrapper_internal | begin ()
| return iterator begin (needed for range-based for) More...
iterator_wrapper_internal | end ()
| return iterator end (needed for range-based for) More...

## Detailed Description

### template<template< typename U, typename V, typename...Args > class ObjectType = std::map, template< typename U, typename...Args > class ArrayType = std::vector, class StringType = std::string, class BooleanType = bool, class NumberIntegerType = int64_t, class NumberFloatType = double, template< typename U > class AllocatorType = std::allocator>
class nlohmann::basic_json::iterator_wrapper

This class allows to access iterator::key() and iterator::value() during range-based for loops. In these loops, a reference to the JSON values is returned, so there is no access to the underlying iterator.

Definition at line 6162 of file json.hpp.